summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStephan Hartmann <sultan@gentoo.org>2021-01-12 22:24:22 +0100
committerStephan Hartmann <sultan@gentoo.org>2021-01-12 22:24:36 +0100
commit44d01758293d4e50c07782f9a271f3a2d2b45141 (patch)
tree97c7f446cb19e92be6b16fd44bd6245dd71fbb65 /www-client/microsoft-edge-dev
parentdev-libs/libx86: keyworded 1.1-r4 for sparc, bug #764026 (diff)
downloadgentoo-44d01758293d4e50c07782f9a271f3a2d2b45141.tar.gz
gentoo-44d01758293d4e50c07782f9a271f3a2d2b45141.tar.bz2
gentoo-44d01758293d4e50c07782f9a271f3a2d2b45141.zip
www-client/microsoft-edge-dev: bump to 89.0.760.0
Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Stephan Hartmann <sultan@gentoo.org>
Diffstat (limited to 'www-client/microsoft-edge-dev')
-rw-r--r--www-client/microsoft-edge-dev/Manifest1
-rw-r--r--www-client/microsoft-edge-dev/microsoft-edge-dev-89.0.760.0.ebuild114
2 files changed, 115 insertions, 0 deletions
diff --git a/www-client/microsoft-edge-dev/Manifest b/www-client/microsoft-edge-dev/Manifest
index 326ef906705..ef8a5ffcbf2 100644
--- a/www-client/microsoft-edge-dev/Manifest
+++ b/www-client/microsoft-edge-dev/Manifest
@@ -1,2 +1,3 @@
DIST microsoft-edge-dev_89.0.731.0-1_amd64.deb 89937570 BLAKE2B 55d27bc12e4776b8d8c0b05ffe0923ab78e3fccb37baa745159a0143d2c60fe6433eae6125348ad21ae220d2371571ec61266d7295362ec660de3da5bbe01acb SHA512 3f02636c5041ca2e0a40f48c4e139321420f8c40591097fa2bc18a5fa6b97adf35d2500e929e8dfbef8839b0ea816e1498a754fb6a5339ce8b52250ac79cc70d
DIST microsoft-edge-dev_89.0.752.1-1_amd64.deb 90487364 BLAKE2B 6da2c2e76ca46046bd97bef8be9b88999cfaa61a6f50bdf81bb86ee090bb14cdbce3a579e2044754b2a2412d72759a64c52356a1f50dcedba3270177c2615646 SHA512 5293c47e794f07b09a8ff891d746ea4e44e9b4f8748a129d0a3988cfc6b7bfda4576ca0feb3efdd5ba6e43577d486e563509c0ecef25fe57b6a809e927c41030
+DIST microsoft-edge-dev_89.0.760.0-1_amd64.deb 90618796 BLAKE2B 4f7e150d918adfbed42286d55889c2df315b0976c8b68d4094a7d8de474537c4d60e49dcd96a937b56290aede031397d476aa51383d9f5d5857d64ac4ab5f199 SHA512 24cbd01643d2b1a6bad4899cfa1e03e7a745f91fe75c373e37a230d9071d2a083019bf033960c6a710435cb0ae55dd84ac5b0cc5f681ef3d40c8f735262d749f
diff --git a/www-client/microsoft-edge-dev/microsoft-edge-dev-89.0.760.0.ebuild b/www-client/microsoft-edge-dev/microsoft-edge-dev-89.0.760.0.ebuild
new file mode 100644
index 00000000000..8b9535ac799
--- /dev/null
+++ b/www-client/microsoft-edge-dev/microsoft-edge-dev-89.0.760.0.ebuild
@@ -0,0 +1,114 @@
+# Copyright 2011-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit chromium-2 desktop pax-utils unpacker xdg-utils
+
+DESCRIPTION="The web browser from Microsoft"
+HOMEPAGE="https://www.microsoft.com/en-us/edge"
+
+if [[ ${PN} == microsoft-edge ]]; then
+ KEYWORDS="-* amd64"
+ MY_PN=${PN}-stable
+else
+ KEYWORDS="-* ~amd64"
+ MY_PN=${PN}
+fi
+
+MY_P="${MY_PN}_${PV}-1"
+
+SRC_URI="https://packages.microsoft.com/repos/edge/pool/main/m/${MY_PN}/${MY_P}_amd64.deb"
+
+LICENSE="microsoft-edge"
+SLOT="0"
+RESTRICT="bindist mirror strip"
+
+RDEPEND="
+ app-accessibility/at-spi2-atk:2
+ app-accessibility/at-spi2-core:2
+ app-misc/ca-certificates
+ dev-libs/atk
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ media-fonts/liberation-fonts
+ media-libs/alsa-lib
+ media-libs/mesa[gbm]
+ net-misc/wget
+ net-print/cups
+ sys-apps/dbus
+ sys-apps/util-linux
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:3[X]
+ x11-libs/libdrm
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrandr
+ x11-libs/libxcb
+ x11-libs/libxkbcommon
+ x11-libs/pango
+ x11-misc/xdg-utils
+"
+
+QA_PREBUILT="*"
+QA_DESKTOP_FILE="usr/share/applications/microsoft-edge.*\\.desktop"
+S=${WORKDIR}
+EDGE_HOME="opt/microsoft/msedge${PN#microsoft-edge}"
+
+pkg_nofetch() {
+ eerror "Please wait 24 hours and sync your tree before reporting a bug for microsoft-edge fetch failures."
+}
+
+pkg_pretend() {
+ # Protect against people using autounmask overzealously
+ use amd64 || die "microsoft-edge only works on amd64"
+}
+
+pkg_setup() {
+ chromium_suid_sandbox_check_kernel_config
+}
+
+src_unpack() {
+ :
+}
+
+src_install() {
+ dodir /
+ cd "${ED}" || die
+ unpacker
+
+ rm _gpgorigin || die
+
+ rm -r etc usr/share/menu || die
+ mv usr/share/doc/${MY_PN} usr/share/doc/${PF} || die
+
+ gzip -d usr/share/doc/${PF}/changelog.gz || die
+ gzip -d usr/share/man/man1/${MY_PN}.1.gz || die
+
+ local suffix=
+ [[ ${PN} == microsoft-edge-beta ]] && suffix=_beta
+ [[ ${PN} == microsoft-edge-dev ]] && suffix=_dev
+
+ local size
+ for size in 16 24 32 48 64 128 256 ; do
+ newicon -s ${size} "${EDGE_HOME}/product_logo_${size}${suffix}.png" ${PN}.png
+ done
+
+ pax-mark m "${EDGE_HOME}/msedge"
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}